apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: docs
  name: docs
spec:
  replicas: 1
  revisionHistoryLimit: 2
  selector:
    matchLabels:
      app: docs
  strategy:
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: docs
    spec:
      containers:
        - name: docs
          image: servala.app.codey.ch/servala/servala-portal-docs:latest
          imagePullPolicy: Always
          readinessProbe:
            httpGet:
              path: /index.html
              port: 8080
            periodSeconds: 60
          livenessProbe:
            httpGet:
              path: /index.html
              port: 8080
            periodSeconds: 60
            initialDelaySeconds: 5
          ports:
            - name: http
              containerPort: 8080
              protocol: TCP
          resources:
            limits:
              cpu: 500m
              memory: 512Mi
            requests:
              cpu: 10m
              memory: 32Mi
